function [ac, tau] = autocorrelate(v,window)
   
%[ac, tau] = autocorrelate(v,window)
%
% ARGUMENTS
% ---------
% v          - a signal encoded as vector of values
% window     - a window encoded as a vector of values
%
% RETURNS
% -------
% ac  the strength of the auto correlation  for v
% tau the lag (measured in samples)

halfWinIdx = length(window)/2;

tau = [-halfWinIdx+1:halfWinIdx];
ac = zeros(size(tau));

for i = 1:length(tau)
    for m = halfWinIdx: length(v) - halfWinIdx
        ac(i) = ac(i) +  v(m) * window(halfWinIdx) * v(m+tau(i)) * window(halfWinIdx + tau(i));
    end
end

