function [peaks durs] = numPeaks(y, tol)
%num_peaks = numPeaks(y[, tol])
%numPeaks returns the number of peaks in a function
%looking at the increase or decrease of y

if nargin == 1
    tol = 15;
end

peaks = 0;
count = 0;
dur = 0;
durs = [];
for ii = 2:length(y)
    
    curDif = y(ii) - y(ii-1);
    if curDif < 0
        count = count - curDif;
        dur = dur+1;
    end
    
    if count > tol & curDif > 0
        peaks = peaks + 1;
        durs(peaks) = dur;
        count = 0;
        dur = 0;
    end
end