function [notematrix qnotematrix] = transcribe(wavFile,midifile,bpm);
%transcribe analyzes a wav audio file, and returns midi file
%
%[unquantized_matrix quantized_matrix] = transcribe(wavFile,midiFile,BPM);
%uses modified praat_pd for pitch tracking
%consolidatePitches creates unquantized notematrix
%quantization supports 4th, 8th, 12th, 16th notes
%The midi file written is quantized.

disp('Importing audio file...');  [audio samplerate] = wavread(wavFile);
                                  %soundsc(audio,samplerate);
disp('Computing pitch track...'); [pitch time amp] = getpitch(audio, samplerate);
disp('Consolidating pitches...'); notematrix = consolidatePitches(pitch,time,amp,bpm);
disp('Quantizing notes...');      qnotematrix = quantize(notematrix);
                                  %playsound(notematrix);
disp('Writing MIDI file...');     writemidi(qnotematrix,midifile,bpm,bpm);
disp('Transcription complete');fprintf('\n');